use data1, clear
gen logein = log(eink)
gen x = log(_n * 500) in 1/50
capture program drop denscomp
program define denscomp
    version 6.0
    syntax varname(numeric) [if] [in], by(varname) at(varname numeric)
    * if/in
    if "`if'" ~= "" | "`in'" ~= "" {
        preserve
        quietly keep `if' `in'
    }
    kdensity `varlist' if `by'==1, gen(fx1) at(`at') nograph
    kdensity `varlist' if `by'==2, gen(fx2) at(`at') nograph
    label variable fx1 "Maenner"
    label variable fx2 "Frauen"
    label variable x "LOG(Einkommen)"
    graph fx1 fx2 x, c(ll) s(TS) xlab ylab bor ti(Einkommen nach Geschlecht) /*
    */ l1t(Dichte) sort
end
denscomp logein, by(est) at(x)
exit

