* Beispiele fr Leverage und Diskrepanz von Beatles unt St. Pepper
version 6.0

preserve

* Create the Data
clear
set obs 5
input str11 name wohngr65  eink65
Ringo            50       2000
George           60       2300
John             70       2800
Paul             80       3000
"Sgt. Pepper"      80       2525

gen eink67 = eink65
replace eink67 = 3400 in 5
reg wohngr65 eink67 in 1/4
predict wohngr67
gen eink71 = eink67
gen wohngr71 = wohngr67
replace wohngr71 = 68 in 5

* Design
set textsize 150
local xaxis "xscale(1900,3600) xlabel(2000(500)3500)"
local yaxis "yscale(49,90) ylabel(50(10)90)"

* Grafik 1
reg wohngr65 eink65
predict yh1
reg wohngr65 eink65 in 1/4
predict yh2
graph wohngr65 yh1 yh2 eink65, c(.ll) s([name]ii) border saving(g1, replace) /*
*/ sort t2title(1965) `xaxis' `yaxis'  l1t(" ") b2t(" ")

* Grafik 2
reg wohngr67 eink67
predict yh3
reg wohngr67 eink67 in 1/4
predict yh4
graph wohngr67 yh3 yh4 eink67, c(.ll) s([name]ii) border saving(g2, replace) /*
*/ sort t2title(1967) `xaxis' `yaxis' l1t(" ")  b2t(" ")

* Grafik 3
reg wohngr71 eink71
predict yh5
reg wohngr71 eink71 in 1/4
predict yh6
graph wohngr71 yh5 yh6 eink71, c(.ll) s([name]ii) border saving(g3, replace) /*
*/ t2title(1971) `xaxis' `yaxis' l1t(" ")  b2t(" ")

graph using g1 g2 g3, l1t(Wohnungsgroesse) b2t(Einkommen) /*
*/ saving(beatles, replace)

set textsize 100

restore
