* Graphiken fr einige nichtlineare Zusammenhnge

version 6.0
clear
set obs 1000
set textsize 100


gen x1 = _n/100
gen x2 = _n/50
gen x3 = (_n - 500)/100
gen y1 = x1^2
gen y2 = ln(x1)
gen y3 = tan(x3)
gen y4 = sin(x2)
gen y5 = x3^2
gen y6 = abs(sqrt(x2))

capture program drop nonlin
program define nonlin
	gph open, saving(nonlin.gph, replace)
	        local opt "bor xlab ylab s(i) c(l)"
	        corr y1 x1
	        local rho = round(r(rho),.01)
                graph y1 x1, `opt' bbox(0,0,7688,16000,923,444,0) t1t(r=`rho') b2t(" ")
                corr y2 x1
	        local rho = round(r(rho),.01)
     		graph y2 x1, `opt' bbox(0,16000,7688,32000,923,444,0) t1t(r=`rho') b2t(" ")
                corr y3 x2
	        local rho = round(r(rho),.01)
		graph y3 x2, `opt' bbox(7687,0,16000,15375,923,444,0) t1t(r=`rho') b2t(" ")
                corr y4 x3
	        local rho = round(r(rho),.01)
		graph y4 x3, `opt' bbox(7687,16000,15375,32000,923,444,0) t1t(r=`rho') b2t(" ")
                corr y5 x3
	        local rho = round(r(rho),.01)
		graph y5 x3, `opt' bbox(15374,0,23063,16000,923,444,0) t1t(r=`rho') b2t(" ")
                corr y6 x3
	        local rho = round(r(rho),.01)
		graph y6 x3, `opt' bbox(15374,16000,23063,32000,923,444,0) t1t(r=`rho') b2t(" ")
	gph close
end

nonlin

gphpen -dmeps -r52 -n -t111 nonlin   /* Stata for Linux, own Version of eps.pen  */
exit















