* Erstellt den Median Trace von Hand

version 6.0
preserve
use data1, clear

* Berechnung der Werte
gen xgroups = autocode(hhein,10,35,30000)  /* Unterteilt die X--Variable in Streifen */
egen medwohgr = median(wohngr), by(xgroups) /* Median der Wohngr. fuer die Streifen */
sort xgroups
by xgroups: gen nobs = sum(hhein~=. +1)     /* Anzahl gueltiger Faelle in den Streifen */
by xgroups: replace medwohgr = . if _n ~= nobs[int((_N+1)/2)] /* Plot nur fuer den mittleren
  	                                                         Fall eines Streifens */
* Graphik
graph wohngr medwohgr hhein, c(.l) s(.i) border saving(mtrace, replace)

restore

* Ausdruck in EPS (Linux)
gphpen -dmeps -n -r52 -t113 mtrace

exit

Siehe insbesondere Kapitel 5,6
