* Loesung zum Anwendungsfall 1 aus Kapitel 11
* Verwendung von Makros, Programmen und Schleifen
*--------------------------------------------
version 6.0
use data2, clear

local newname `1'
local i 84

mac shift
while "`1'" ~= "" {
        rename `1' `newname'`i'
        local i = `i' + 1
        mac shift
}

exit

Ruft man diesen Do-File nun mit

. do umben pid ap5602 bp7902 cp7902 dp8802 ep7702 fp9302 gp8502 hp9002 ip9002 jp9002  kp9202 lp9802 mp8402 np9402

auf, so wird zunaechst das lokale Makro `newname' mit dem ersten
Argument -- "pid" -- gefuellt. Danach wird `i' auf 84 festgelegt
und anschliessend werden die Inhalte der positionalen Argumente um
eine Position verschoben.  Der erste Befehl innerhalb der Schleife
lautet dann:

. rename ap5602 pid84

Mit jeder Runde werden die positionalen Argumente um eine Position
verschoben und `i' um eine Jahreszahl nach oben gesetzt. Hierdurch
wird das gewuenschte Ergebnis erzielt, die Auflistung der
Variablennamen beim Aufruf des Do-Files ist jedoch --
bestenfalls -- ein wenig unhandlich.

Wir erklaeren Ihnen noch eine elegantere Variante:

Mit umben.do wird das Programm "umben"
definiert, welches haupts"achlich aus der bereits
bekannten Schleife besteht. Nach dem Ablauf des Do-Files
koennen Sie das Programm auf Ihren Datensatz anwenden. Da dem
Programm positionale Argumente uebergeben werden koennen, koennen
Sie durch

. do umben
. use data2, clear
. umben pid ap5602

ap5602 in pid84 umbenennen. Die anderen Variablen
lassen sich durch eine entsprechend laengere Variablenliste
umbenennen. Das beste ist es allerdings, wenn Sie den Aufruf des
Programms direkt im Do-File vornehmen. Ergaenzen Sie
umben.do indem Sie vor "exit" die folgenden Zeilen
einf"ugen:


use data2, clear
umben pid ap5602 bp7902 cp7902 dp8802 ep7702 fp9302 gp8502 hp9002 ip9002 jp9002 kp9202 lp9802 mp8402 np9402
umben lebzuf ap6801 bp9301 cp9601 dp9801 ep89  fp108 gp109 hp10901 ip10901 jp10901 kp10401 lp10401 mp11001 np11701
exit


Der Trick besteht darin, dass "umben" zusammen mit
Argumenten aufgerufen wird. Innerhalb des Programms werden diese
Argumente wie die positionalen Argumente beim Aufruf der
Do-Files behandelt. Wenn wir also am Ende des
Do-Files das Kommando "umben" zunaechst fuerr die
Umbenennung der Variablen der Parteiidentifikation und
danach der Lebenszufriedenheit eingeben, so gilt innerhalb des
Programms dieselbe Logik wie oben. Die positionalen Argumente
innerhalb von "program define" beziehen sich nicht mehr auf die
Argumente, die beim Aufruf des Do-Files gegeben werden,
sondern auf die Argumente, welche beim Aufruf des Programms
gegeben werden. Sie koennen dem Do-File weiterhin positionale Argumente uebergeben.
Die Argumente gelten nur lokal, das heisst innerhalb der
jeweiligen Umgebung. Das erste Argument innerhalb der Umgebung
  program define hat nichts mit dem ersten Argument innerhalb
  der Do-File-Umbebung zu tun. Beim Aufruf des
Do-Files braucht man sich deshalb nicht darum zu k"ummern.
