* Erzeugt Conditional Effect Plot
do an1kk
gen ost = bul>=11 & bul<=16
sum bdauer if e(sample)
gen bd_z = bdauer - r(mean) if e(sample)
gen bdage = bd_z * age_z
reg eink vollzeit ost men age_z bd_z agemen bdage
gen yh_bd0 = _b[_cons] +  _b[age_z] * age_z
sum  bd_z
gen Tbdage = age_z * r(min)
gen yh_bdmin = _b[_cons] +  _b[age_z] * age_z  + _b[bd_z] * r(min) + _b[bdage] * Tbdage
replace Tbdage = age_z * r(max)
gen yh_bdmax = _b[_cons] +  _b[age_z] * age_z  + _b[bd_z] * r(max) + _b[bdage] * Tbdage

* Labelvariable
gen lab1 = .
for num 15(5)90: replace lab1 = yh_bd0 if age == X
gen lab2 = .
for num 15(5)90: replace lab2 = yh_bdmin if age == X
gen lab3 = .
for num 15(5)90: replace lab3 = yh_bdmax if age == X
lab var lab1 "Bildung = mean"
lab var lab2 "Bildung = min"
lab var lab3 "Bildung = max"

graph yh_bd* lab* age, bor c(lll...) s(iiiOTS) pen(234234) sort saving(coneff, replace)

gphpen -dmeps -t11111 -r52 -n coneff




