* Graphiken fr einige nichtlineare Zusammenhnge

preserve
set textsize 100   /* just to be shure */

clear
set obs 100
gen x  = _n
gen y1 = x^3
gen y2 = ln(x)
gen y3 = (-50) * x + .5 * x^2

local if "if x == 1 | x == 25 | x == 50 | x == 75 | x==100"
gen y1l = y1 `if'
lab var y1l "Hyperbolisch"
gen y2l = y2 `if'
lab var y2l "Logarithmisch"
gen y3l = y3 `if'
lab var y3l "U-foermig"

local opt "bor xlab s(iiiOTS) c(lll...)"
graph y1 y2 y3 y1l y2l y3l x, `opt'  rescale pen(234234) /*
*/ saving(curves, replace)

restore
exit


