* Erstellt Graphik "Typen" in Kapitel 6

version 6.0
preserve

use data1.dta, clear
keep if hhgr==1

* Histogramm
graph wohngr, histogram title(Histogramm) border saving(g1,replace)

* Balkendiagramm
sort htyp
graph wohngr, bar by(htyp) mean title(Balkendiagramm) saving(g2,replace)

* Kuchendiagramm
quietly tab htyp, gen(haus)
graph haus1-haus7, pie title(Kuchendiagramm) saving(g3,replace)

* Boxplot
graph wohngr, box title(Boxplot) saving(g4,replace) 

* Streifendiagramm
graph wohngr, oneway title(Streifendiagramm) saving(g5,replace)

* Scatterplot
graph miete wohngr, twoway title(Scatterplot) border saving(g6,replace)

* Scatterplot-Matrix

graph np0105 miete wohngr, matrix title(Scatterplot-Matrix) saving(g7,replace)

* Star--Plot
sort bul
collapse (mean) wohngr zimmer wgurt mietur np11701 np0105 if bul ~= ., by(bul)
graph wohngr-np0105, star label(bul) title(Star-Plot) saving(g8,replace)

graph using g1 g2 g3 g4 g5 g6 g7 g8, margin(15) saving(typen, replace)

restore

exit
